#if !defined(__test_h)              // Sentry, use file only if it's not already included.
#define __test_h

/*  Project test
    
    Copyright  1996. All Rights Reserved.

    SUBSYSTEM:    test.exe Application
    FILE:         test.h
    AUTHOR:       Jonathan Schafer


    OVERVIEW
    ========
    Class definition for testApp (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop


#include "test.rh"            // Definition of all resources.


//
// FrameWindow must be derived to override Paint for Preview and Print.
//
//{{TDecoratedFrame = SDIDecFrame}}
class SDIDecFrame : public TDecoratedFrame {
public:
    SDIDecFrame (TWindow *parent, const char far *title, TWindow *clientWnd, bool trackMenuSelection = false, TModule *module = 0);
    ~SDIDecFrame ();
};    //{{SDIDecFrame}}


//{{TApplication = testApp}}
class testApp : public TApplication {
private:

public:
    testApp ();
    virtual ~testApp ();

    TOpenSaveDialog::TData FileData;                    // Data to control open/saveas standard dialog.
    void OpenFile (const char *fileName = 0);
//{{testAppVIRTUAL_BEGIN}}
public:
    virtual void InitMainWindow();
//{{testAppVIRTUAL_END}}

//{{testAppRSP_TBL_BEGIN}}
protected:
    void CmFileNew ();
    void CmFileOpen ();
    void CmHelpAbout ();
	 void CmShowListDlg (void);
 //{{testAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(testApp);
};    //{{testApp}}


#endif                                      // __test_h sentry.
